#ifndef VisualizationPLUGIN_H__
#define	VisualizationPLUGIN_H__

#include "ritkApplicationPlugin.h"
#include "VisualizationPlugin.h"
#include "VisualizationWidget.h"

class VisualizationPlugin : public ritk::ApplicationPlugin
{
	Q_OBJECT

public:
	/// Constructor
	VisualizationPlugin();
	/// Destructor
	~VisualizationPlugin();

	/// Get the name @sa Plugin::GetName
	QString GetName();

	/// Get the plugins GUI @sa Plugin::GetPluginGUI
	QWidget *GetPluginGUI();

	/// Intercept the event.
	void ProcessEvent(ritk::Event::Pointer EventP);

signals:
	void UpdateGUI();

protected:
	VisualizationWidget *m_Widget;	
};


#endif // VisualizationPLUGIN_H__
